import Taro, { useRouter } from '@tarojs/taro'
import { parseQueryString } from '@/utils'
import { useModel } from '@/store'

export default () => {
  const router = useRouter()
  const { qrCode } = useModel('person')

  // 扫码进入的
  if (router?.params?.scene) {
    if (qrCode) {
      const qrParams = parseQueryString(qrCode) || {}
      router.params = {
        ...router.params || {},
        ...qrParams,
        parseQRFinished: true, 
      }
    }
  }

  return router
}
